{
  //组件自动引入规则 https://uniapp.dcloud.net.cn/collocation/pages.html#easycom
  "easycom": {
    "autoscan": true,
    "custom": {
      "^x-(.*)": "@/components/x-$1/index.vue"
    }
  },
  "globalStyle": {
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "电梯图纸生成",
    "navigationBarBackgroundColor": "#fff",
    "backgroundColor": "#F8F8F8",
    "enablePullDownRefresh": false
  },
  "pages": [
    //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
	{
	  "path": "pages/index/index",
    "needLogin": true,
	  "style": {
	    "navigationBarTitleText": "电梯图纸生成平台",
      "enablePullDownRefresh":true
	  }
	},
	{
	  "path": "pages/login/login",
	  "style": {
	    "navigationBarTitleText": "登录"
	  }
	},
    {
    	"path" : "pages/order/order",
		"needLogin": true,
    	"style" : 
    	{
    		"navigationBarTitleText" : "订单"
    	}
    },
    {
    	"path" : "pages/consumption/consumption",
		"needLogin": true,
    	"style" : 
    	{
    		"navigationBarTitleText" : "消费"
    	}
    },
    {
    	"path" : "pages/mine/mine",
		"needLogin": true,
    	"style" : 
    	{
    		"navigationBarTitleText" : "我的",
			"enablePullDownRefresh":true
    	}
    },
	{
	  "path": "pages/404/404",
	  "style": {
	    "navigationBarTitleText": "404",
	    "navigationStyle": "custom"
	  }
	}
  ],
  "subPackages": [
    {
      "root": "pagesA",
      "pages": [
        {
        	"path" : "user-agreement/user-agreement",
        	"style" : 
        	{
        		"navigationBarTitleText" : "用户协议"
        	}
        },
        {
        	"path" : "generate-record/generate-record",
        	"style" : 
        	{
        		"navigationBarTitleText" : "图纸生成记录",
				"enablePullDownRefresh":true
        	}
        },
        {
        	"path" : "edit-profile/edit-profile",
        	"style" : 
        	{
        		"navigationBarTitleText" : "编辑资料"
        	}
        },
        {
        	"path" : "order-detail/order-detail",
        	"style" : 
        	{
        		"navigationBarTitleText" : "订单详情"
        	}
        },
        {
        	"path" : "recharge/recharge",
        	"style" : 
        	{
        		"navigationBarTitleText" : "充值"
        	}
        },
        {
        	"path" : "payment/payment",
        	"style" : 
        	{
        		"navigationBarTitleText" : "确认支付"
        	}
        },
        {
        	"path" : "payment-result/payment-result",
        	"style" : 
        	{
        		"navigationBarTitleText" : "支付结果"
        	}
        },
        {
        	"path" : "add-requirement/add-requirement",
        	"style" : 
        	{
        		"navigationBarTitleText" : "新增需求",
        		"navigationStyle": "custom"
        	}
        },
        {
        	"path" : "bug-feedback/bug-feedback",
        	"style" : 
        	{
        		"navigationBarTitleText" : "bug反馈",
        		"navigationStyle": "custom"
        	}
        }
      ]
    }
  ],
  "preloadRule": {
    "pages/index/index": {
      "network": "wifi",
      "packages": ["pagesA"]
    }
  },
  "tabBar": {
    "color": "#999999",
    "selectedColor": "#3F70FF",
    "backgroundColor": "#fff",
    "position": "bottom",
    "borderStyle": "black",
    "list": [
      {
        "pagePath": "pages/index/index",
        "iconPath": "static/tabbar/index.png",
        "selectedIconPath": "static/tabbar/index_HL.png",
        "text": "图纸"
      },
      {
        "pagePath": "pages/order/order",
        "iconPath": "static/tabbar/order.png",
        "selectedIconPath": "static/tabbar/order_HL.png",
        "text": "订单"
      },
      // {
      //   "pagePath": "pages/consumption/consumption",
      //   "iconPath": "static/tabbar/xiaofei.png",
      //   "selectedIconPath": "static/tabbar/xiaofei_HL.png",
      //   "text": "消费"
      // },
      {
        "pagePath": "pages/mine/mine",
        "iconPath": "static/tabbar/mine.png",
        "selectedIconPath": "static/tabbar/mine_HL.png",
        "text": "我的"
      }
    ]
  }
}
